FDFORMAT(1)

NAME
fdformat - format diskettes for use with SunOS

SYNOPSIS

  Sun386i Systems
fdformat [ -L ] [ -2 ]

  Sun-3/80 and Desktop SPARC Systems
fdformat [ -deflv ] [ -b label ] [ device ]

AVAILABLITY

This command is available on Sun386i, Sun-3/80, and Desktop SPARC systems only.

DESCRIPTION

fdformat is a utility for formatting floppy diskettes. All new blank diskettes must be formatted before they can be used. fdformat formats and verifies each track on the diskette, and terminates if it finds any bad sectors. All existing data on the diskette, if any, is destroyed by formatting.

By default, fdformat formats a high density diskette with a capacity of 1.44 megabytes. Use the -L or -l option to format low density diskettes (720K capacity). Note: it is not possible to put a low density format onto a high density floppy diskette. High density diskettes can be recognized by the high density detect hole in the lower right corner of the diskette, opposite the write protect hole in the lower left corner.

Use the -d option to put a MS-DOS file system on the diskette after format is done. Otherwise, the Sun-3/80 and Desktop SPARC systems version of fdformat writes a SunOS label on the diskette in logical block 0 after it has been formatted. The label is required on Sun-3/80 and Desktop SPARC systems if you intend to put a UNIX file system on the floppy diskette.

On Sun386i systems, use the -2 option to format diskettes in the optional external 5 1/4" floppy drive. To format diskettes for use under MS-DOS, use the MS-DOS FORMAT command in a DOS window.

OPTIONS

  Sun386i Systems

-L  Format a low density diskette.

-2  Format a diskette in the optional external 5.25-inch floppy drive.

  Sun-3/80 and Desktop SPARC Systems

-b  Put a MS-DOS label on the disk after formatting it. This option is only meaningful when -d is also set.

-d  Install a MS-DOS file system and boot sector on the disk after formatting. This is equivalent to the MS-DOS FORMAT command.

-e  Eject the diskette when done.

-f  Force. Do not ask for confirmation before starting format.

-l  Format a low density (720K) diskette.

-v  Verify the floppy diskette after formatting.

NOTES

A diskette formatted using the -d option for MS-DOS won't have the necessary system files, and is therefore not bootable. Trying to boot from it on a PC will result in the following message:

    Non-System disk or disk error
    Replace and strike any key when ready

FILES

  Sun386i Systems
/dev/rfd0c
    1.44 megabyte 3.5-inch high density diskette drive
/dev/rfdl0c
    720 kilobyte 3.5-inch low density diskette drive
/dev/rfd2c
    High density 5.25-inch floppy drive
/dev/rfdl2c
    Low density 5.25-inch floppy drive

  Sun-3/80 and Desktop SPARC Systems
/dev/rfd0c

SEE ALSO
dos(1), fd(4S), pcfs(4S)

BUGS

Currently bad sector mapping is not supported on floppy diskettes. Therefore, a diskette is unusable if fdformat finds an error (bad sector).